{
	"name": "table/external/woocommerce/company/company.json",
	"table_name": "company",
	"table_prefix": "co",
	"record_type": ["customer"],
	"local_table": "company",
	"local_record_type": "customer",
	"field": [
		{
			"field_name": "date_created",
			"local_field": "create_time",
			"field_type": "date"
		},
		{
			"field_name": "date_modified",
			"local_field": "modify_time",
			"field_type": "date"
		},
		{
			"field_name": "email",
			"local_field": "email",
			"field_type": "varchar"
		},
		{
			"field_name": "first_name",
			"local_field": "name",
			"field_type": "varchar"
		},
		{
			"field_name": "id",
			"local_field": "json_data.project_id",
			"field_type": "integer"
		},
		{
			"field_name": "last_name",
			"local_field": "name_2",
			"field_type": "varchar"
		},
		{
			"field_name": "username",
			"local_field": "company_id",
			"field_type": "varchar"
		}
	],
	"example_data": [
		{
			"id": 3,
			"_links": {
				"collection": [
					{
						"href": "https://www.bedrock.vavaruste.oddysites.fi/wp-json/wc/v2/customers"
					}
				],
				"self": [
					{
						"href": "https://www.bedrock.vavaruste.oddysites.fi/wp-json/wc/v2/customers/3"
					}
				]
			},
			"avatar_url": "https://secure.gravatar.com/avatar/20314f8c8fa0e591a54bd871fd1de29f?s=96&d=mm&r=g",
			"billing": {
				"address_1": "asd",
				"address_2": "",
				"city": "Jkl",
				"company": "Manage",
				"country": "FI",
				"email": "pasi.mankinen@manageapp.com",
				"first_name": "Pasi",
				"last_name": "Mankinen",
				"phone": "0123456",
				"postcode": "40320",
				"state": ""
			},
			"date_created": "2018-09-26T08:51:04",
			"date_created_gmt": "2018-09-26T08:51:04",
			"date_modified": "2018-09-26T14:51:05",
			"date_modified_gmt": "2018-09-26T14:51:05",
			"email": "pasi.mankinen@manageapp.com",
			"first_name": "Pasi",
			"is_paying_customer": false,
			"last_name": "Mankinen",
			"meta_data": [
				{
					"id": 123,
					"key": "shipping_method",
					"value": ["flat_rate:1"]
				},
				{
					"id": 124,
					"key": "wc_last_active",
					"value": "1537995600"
				}
			],
			"orders_count": 1,
			"role": "customer",
			"shipping": {
				"address_1": "asd",
				"address_2": "",
				"city": "Jkl",
				"company": "Manage",
				"country": "FI",
				"first_name": "Pasi",
				"last_name": "Mankinen",
				"postcode": "40320",
				"state": ""
			},
			"total_spent": "129.00",
			"username": "pasi.mankinen"
		}
	],
	"field_not_in_use": [
		{
			"field_name": "billing.company",
			"local_field": "name",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.address_1",
			"local_field": "address",
			"field_type": "varchar"
		},
		{
			"field_name": "_links.collection.href",
			"local_field": "json_data.links_collection_href",
			"field_type": "varchar"
		},
		{
			"field_name": "_links.self.href",
			"local_field": "json_data.links_self_href",
			"field_type": "varchar"
		},
		{
			"field_name": "avatar_url",
			"local_field": "json_data.avatar_url",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.address_2",
			"local_field": "json_data.billing.address_2",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.city",
			"local_field": "json_data.billing.city",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.country",
			"local_field": "json_data.billing.country",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.email",
			"local_field": "json_data.billing.email",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.first_name",
			"local_field": "json_data.billing.first_name",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.last_name",
			"local_field": "json_data.billing.last_name",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.phone",
			"local_field": "json_data.billing.phone",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.postcode",
			"local_field": "json_data.billing.postcode",
			"field_type": "varchar"
		},
		{
			"field_name": "billing.state",
			"local_field": "json_data.billing.state",
			"field_type": "varchar"
		},
		{
			"field_name": "date_created_gmt",
			"local_field": "json_data.date_created_gmt",
			"field_type": "date"
		},
		{
			"field_name": "date_modified_gmt",
			"local_field": "json_data.date_modified_gmt",
			"field_type": "date"
		},
		{
			"field_name": "is_paying_customer",
			"local_field": "json_data.is_paying_customer",
			"field_type": "varchar"
		},
		{
			"field_name": "meta_data",
			"local_field": "json_data.meta_data",
			"field_type": "varchar"
		},
		{
			"field_name": "orders_count",
			"local_field": "json_data.orders_count",
			"field_type": "varchar"
		},
		{
			"field_name": "role",
			"local_field": "json_data.role",
			"field_type": "varchar"
		},
		{
			"field_name": "shipping.address_1",
			"local_field": "json_data.shipping.address_1",
			"field_type": "varchar"
		},
		{
			"field_name": "shipping.address_2",
			"local_field": "json_data.shipping.address_2",
			"field_type": "varchar"
		},
		{
			"field_name": "shipping.city",
			"local_field": "json_data.shipping.city",
			"field_type": "varchar"
		},
		{
			"field_name": "shipping.company",
			"local_field": "json_data.shipping.company",
			"field_type": "varchar"
		},
		{
			"field_name": "shipping.country",
			"local_field": "json_data.shipping.country",
			"field_type": "varchar"
		},
		{
			"field_name": "shipping.first_name",
			"local_field": "json_data.shipping.first_name",
			"field_type": "varchar"
		},
		{
			"field_name": "shipping.last_name",
			"local_field": "json_data.shipping.last_name",
			"field_type": "varchar"
		},
		{
			"field_name": "shipping.postcode",
			"local_field": "json_data.shipping.postcode",
			"field_type": "varchar"
		},
		{
			"field_name": "shipping.state",
			"local_field": "json_data.shipping.state",
			"field_type": "varchar"
		},
		{
			"field_name": "total_spent",
			"local_field": "json_data.total_spent",
			"field_type": "varchar"
		}
	]
}
